Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class MessageWaiting

    java.lang.Object
      com.nortel.soa.oi.cct.types.MessageWaiting

    public class MessageWaiting

extends java.lang.Object

Java class for messageWaiting complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="messageWaiting">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="messageWaiting" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="numberOfMessages" type="{http://www.w3.org/2001/XMLSchema}int"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`MessageWaiting()`

Method Summary
`int` | `getNumberOfMessages()` Gets the value of the numberOfMessages property.
`boolean` | `isMessageWaiting()` Gets the value of the messageWaiting property.
`void` | `setMessageWaiting(boolean value)` Sets the value of the messageWaiting property.
`void` | `setNumberOfMessages(int value)` Sets the value of the numberOfMessages property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageWaiting

    public MessageWaiting()

Method Detail

### isMessageWaiting

    public boolean isMessageWaiting()

  Gets the value of the messageWaiting property.

### setMessageWaiting

    public void setMessageWaiting(boolean value)

  Sets the value of the messageWaiting property.

### getNumberOfMessages

    public int getNumberOfMessages()

  Gets the value of the numberOfMessages property.

### setNumberOfMessages

    public void setNumberOfMessages(int value)

  Sets the value of the numberOfMessages property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.